//-----------------------------------------------------------
//
//-----------------------------------------------------------
class BCTrailEmitter extends Emitter;

var vector c;
var bool bInvisible;
var bool bTimed;

function tick(float DeltaTime)
{
Emitters[0].StartSizeRange.X.Min=FRand()*1+3*DrawScale;
Emitters[0].StartSizeRange.X.Max=FRand()*1+3*DrawScale;
}

event  Trigger(Actor Other, Pawn EventInstigator)
{
super.Trigger(Other,EventInstigator);
if (bInvisible)
  {
  Emitters[0].ResetOnTrigger=true;
  Emitters[0].Trigger();
  Emitters[0].Disabled=!Emitters[0].Disabled;
  Emitters[0].ParticlesPerSecond=10;
  if (!Other.IsA('ScriptedTriggerController'))
    {
    if (DrawScale==1)
      {
      Emitters[0].StartVelocityRange.Z.Min=30;
      Emitters[0].StartVelocityRange.Z.Max=45;
      }
    SetTimer(2* 1/DrawScale,false);
    }
  Emitters[0].RespawnDeadParticles=true;
  bInvisible=false;
  Log("Setting up the Emitter"@other);
  }
}

DefaultProperties
{
    Begin Object Class=SpriteEmitter Name=SpriteEmitter0
        Disabled=true
        FadeOut=False
        FadeIn=False
        ResetAfterChange=True
        RespawnDeadParticles=False
        UniformSize=True
        AutomaticInitialSpawning=False
        FadeOutStartTime=3.000000
        FadeInEndTime=1.000000
        MaxParticles=500
        ColorMultiplierRange=(X=(Min=0,Max=0),Y=(Min=0,Max=0),Z=(Min=0,Max=0))
        Opacity=1
        StartSizeRange=(X=(Min=50.000000,Max=50.000000))
        ParticlesPerSecond=150.000000
        InitialParticlesPerSecond=150.000000
        DrawStyle=PTDS_AlphaBlend
        Texture=Texture'MovieSandboxTextures.complexBrush'
        LifetimeRange=(Min=5.000000,Max=5.000000)
    End Object
    Emitters(0)=SpriteEmitter'BCTrailEmitter.SpriteEmitter0'
bStatic=false
bNoDelete=false
bMovable=true
Physics=PHYS_Flying
bInvisible=true
}
