//-----------------------------------------------------------
//a Wrapper Class for Unreal Classes
//-----------------------------------------------------------
class MSBActorWrapper extends MSBActor;

var Actor Child;
var string WrappedActorClassName;

function Tick(float DeltaTime)
{
super.Tick(DeltaTime);
if (Child!=None && Child.Physics!=PHYS_Karma)
  {
  Child.SetDrawScale(drawScale);
  Child.SetLocation(Location);
  Child.SetRotation(Rotation);
  }
if (Child!=None && Child.Physics==PHYS_Karma)
  {
  Child.SetDrawScale(drawScale);
  SetLocation(Child.Location);
  SetRotation(Child.Rotation);
  }

if (Child!=None)
  {
  if (bDisplayed)
    Child.bHidden=false;
  else
    Child.bHidden=true;

  Child.Skins[0]=Skins[0];
  }
}

function RunMovie()
{
super.RunMovie();
bHidden=true;
Child.TriggerEvent('RunMovie',self,None);
}

function StopMovie()
{
Child.TriggerEvent('StopMovie',self,None);
bHidden=false;
Log (initialLocation);
}

function Trigger(Actor Other, Pawn EventInstigator)
{
super.Trigger(Other, EventInstigator);
Log("Triggered!"@child);
Child.Trigger(Other,EventInstigator);
}

event Destroyed()
{
super.Destroyed();
Child.Destroy();
}

function LoadProp()
{
local class<Actor> ActorClass;
super.LoadProp();

ActorClass = class<Actor>(DynamicLoadObject(WrappedActorClassName, class'Class'));
Child=Spawn(ActorClass, self,'Wrapped',Location,Rotation);
Child.SetDrawScale(DrawScale);
}

DefaultProperties
{
ButtonList(5)="MSBPropertyButtons.MSBPropertyButtonAssign"
Properties(5)="Trigger"
ButtonList(6)="None"
Properties(6)="WrappedActorClassName"
bDisplayed=true
}
