class MSBDrawBrush extends MSBActor;

var MSBMasterBlock Master;
var vector oldlocation;
var vector x,y,z;
var color myColor;

var PlayerController PC;

function draw()
{
local vector myVec;
local rotator myRot;

if (Master!=None)
{
 Master.getBoneVector(Master.BoneNumber,myVec,myRot);
 GetAxes(myRot,x,y,z);
 if (Master.E==None)
   {
   Master.E=Spawn(class'MSBEmitter',Master,,Master.Location,Master.Rotation);
   Master.E.bHardAttach=true;
   Master.AttachToBone(Master.E,'');
   }
 else
 {
 if (oldLocation!=location)
   {
   Master.E.P.SpawnParticle(1);
   oldLocation=Location;
   myVec=(Location-Master.Location);
   //one tick delay...
   if(Master.E.P.activeParticles>0 && Master.E.P.activeParticles<4096)
     {
     Master.E.P.Particles[Master.E.P.activeParticles-1].Location.X=(oldLocation-Master.Location) dot x;
     Master.E.P.Particles[Master.E.P.activeParticles-1].Location.Y=(oldLocation-Master.Location) dot y;
     Master.E.P.Particles[Master.E.P.activeParticles-1].Location.Z=(oldLocation-Master.Location) dot z;
     Master.setColor(myColor,Master.E.P.activeParticles-1);
     Master.setScale(drawScale*5,Master.E.P.activeParticles-1);
// TODO: fix last particle!
//     settimer(0.1,false);
     }
   }
  }
 }
}

function erase()
{
local int i;
local rotator myRot;
local vector myVec,dist;

if (Master.E!=None && Master.E.P.activeParticles>0)
  {
  dist=Location-Master.Location;
  Master.getBoneVector(Master.BoneNumber,myVec,myRot);
  GetAxes(myRot,x,y,z);
  myVec.x=dist dot x;
  myVec.y=dist dot y;
  myVec.z=dist dot z;

  for(i=0;i<Master.E.P.activeParticles-2;i++)
    if(VSize(Master.E.P.Particles[i].Location - myVec)<4*DrawScale)
      Master.E.P.Particles.Remove(i,1);
  }
}

event Timer()
{
   if(Master.E.P.activeParticles>0 && Master.E.P.activeParticles<4096)
     Master.E.P.Particles.Remove(Master.E.P.activeParticles-1,1);
}

function SetColor()
{
ColorModifier(Skins[0]).Color=myColor;
ColorModifier(Skins[0]).Color.A=255;
}

defaultproperties
{
DrawType=DT_StaticMesh
Skins(0)=Material'MovieSandboxTextures.Green'
StaticMesh=StaticMesh'MoviesandboxMeshes.helperMeshes.CubeWhiteCentered'
drawscale=1.0
bStatic=false
bNoDelete=false
bHidden=false
AmbientGlow=16

//experimental
bCollideActors=false
bCollideWorld=false
bBlockZeroExtentTraces=false
bBlockNonZeroExtentTraces=false
}
