//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonPalette extends MSBPropertyButtonAssign;

var float rgb, brightness;
var Material prevMat;
var color prevCol;
function MouseOver(Canvas C)
{

changeColor();
C.SetPos(xpos+width,ypos);
C.SetDrawColor(prevCol.R,prevCol.G,prevCol.B);
C.DrawTile(prevMat,width/2,height/2,1,1,4 ,4);
C.SetDrawColor(255,255,255);
}

function changeColor()
{
local float red,green,blue, greyarea;

greyarea=16/M.ScreenX*1024;
if (Mouse.xPos>xPos+width - greyarea)
  {
  rgb=1.1;
  }
else
  {
  rgb=(Mouse.xPos-xPos)/(width -greyarea);
  if (rgb>0.99)
    rgb=0.99;
  if (rgb<0)
    rgb=0;
  }

brightness=(Mouse.yPos-yPos)/height;
if (brightness>1)
  brightness=1;
if (brightness<0)
  brightness=0;
brightness=brightness*510-255;

if (rgb>1)
  {
  prevCol.R=128+brightness/2;
  prevCol.G=128+brightness/2;
  prevCol.B=128+brightness/2;
  }
else
  {
  if (cos(rgb*1.5*Pi)>0)
    red=FClamp(cos(rgb*1.5*Pi),0,1)*255+brightness;
  else
    red=FClamp(sin(rgb*1.5*Pi+Pi),0,1)*255+brightness;

  prevCol.R=FClamp(red,0,255);
  green=FClamp(sin(rgb*1.5*Pi),0,1)*255+brightness;
  prevCol.G=FClamp(green,0,255);
  blue=FClamp(cos(rgb*1.5*Pi+Pi),0,1)*255+brightness;
  prevCol.B=FClamp(blue,0,255);
  }
}

function LeftBtn(Canvas C)
{
super.LeftBtn(C);
Col=prevCol;
Parent.Trigger(self,None);

//reset to White
Col=default.col;
LeftBtnFinished(C);
}

DefaultProperties
{
widthRel=392
heightRel=256
Mat=Material'MovieSandboxTextures.paletteTexture'
prevMat=Material'MovieSandboxTextures.pickColor'
}
