//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonSlider extends MSBPropertyButton;

var float sliderValue;
var bool bUpDown;
var Texture SliderMat;

function Render(Canvas C)
{
super.Render(C);
drawSlider(C);
}

function MouseOver(Canvas C)
{
if (Mouse.btnOneDown)
  {
  changeSlider();
  Parent.Trigger(self,None);
  }
C.SetPos(xpos+width,ypos);
C.DrawText(sliderValue);
}

function changeSlider()
{
if (bUpDown)
  sliderValue=(Mouse.yPos-yPos)/height;
else
  sliderValue=(Mouse.xPos-xPos)/(width);

if (sliderValue>1)
  sliderValue=1;
if (sliderValue<0)
  sliderValue=0;

Value=string(sliderValue);
}

function drawSlider(Canvas C)
{
C.SetPos(xpos+float(value)*width,yPos);
C.DrawRect(SliderMat,4,height);
}

DefaultProperties
{
widthRel=196
heightRel=24
Mat=Material'MovieSandboxTextures.icon_base'
SliderMat=Texture'MovieSandboxtextures.icon_node'
}
