//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonPaintPart extends MSBPropertyButton3D;

function LeftBtn(Canvas C)
{
local vector x,y,z;
local rotator newRot;
local vector newLoc;

super.LeftBtn(C);
//Set ViewPort
GetAxes(Parent.Rotation,x,y,z);
newRot=OrthoRotation(-y,x,z);
newLoc.X=M.StartLoc.X;
if (y.X<0)
  newRot.Yaw+=32768;
if (MSBMasterBlock(Parent).BoneNumber>16)
  newRot.Roll-=16384;
else if (Z.Z<0)
  newRot.Roll+=32768;

Log("y.X:"@y.x@"Z.Z:"@Z.Z);
M.SetLocation(Parent.Location+newLoc);

M.SetRotation(newRot);
LeftBtnFinished(C);
}

function LeftBtnFinished(Canvas C)
{
local vector gridLoc;
local MSBDrawBrush DrawBrush;

super.LeftBtnFinished(C);
if (Parent.IsA('MSBMasterBlock'))
  {
  foreach AllActors (class'MSBDrawBrush',DrawBrush)
    if (DrawBrush!=None)
      break;
  DrawBrush.Master=MSBMasterBlock(Parent);
  gridLoc=Parent.Location;
  M.calculateGrid(gridLoc);
  DrawBrush.SetLocation(gridLoc);
  DrawBrush.SetRotation(Parent.Rotation);
  }
}

DefaultProperties
{
tooltip1="Set Master Block"
tooltip2="Select Master Block"
BtnName="Draw"
}
