class BCFootballActor extends KActor;

var ColorModifier mycol;

event PostBeginPlay()
{
super.PostBeginPlay();
myCol=new class'ColorModifier';
myCol.Material=Texture;
skins.Insert(0,1);
Texture=myCol;
}

event Trigger(Actor Other,Pawn EventInstigator)
{
Log("Triggered!");

  myCol.Color.R=0;
  myCol.Color.G=0;
  myCol.Color.B=0;

if (Skins[0].IsA('ConstantColor'))
  myCol.Color=ConstantColor(Skins[0]).Color;

if (Skins[0].IsA('ColorModifier'))
  myCol.Color=ColorModifier(Skins[0]).Color;

Texture=myCol;
}

simulated event TriggerEvent(Name EventName,Actor Other,Pawn EventInstigator)
{
if (EventName=='RunMovie')
  SetPhysics(PHYS_Karma);

if (EventName=='StopMovie')
  SetPhysics(PHYS_None);

}

event Touch(Actor Other)
{
Log("Touching!"@Other);
}

event HitWall( vector HitNormal, actor HitWall )
{
Log("HitWall!"@HitWall);
}

event Bump(Actor Other)
{
Log("Bumping!"@Other);
}

defaultproperties
{
bStatic=false
bNoDelete=false
Physics=PHYS_None
StaticMesh=StaticMesh'BulldogMeshes.Simple.S_RearWheel'
//DrawType=DT_StaticMesh
DrawType=DT_Sprite
Texture=Texture'MovieSandboxTextures.roundPen_A00'
DrawScale= 0.1
CollisionHeight=28
CollisionRadius=28

ImpactInterval=0.001000
    Begin Object Class=KarmaParamsRBFull Name=KarmaParamsRBFull1
        KLinearDamping=0.2000000
        KAngularDamping=0.1000000
        KMass=0.02
        KStartEnabled=True
        bHighDetailOnly=False
        bKAllowRotate=True
//        bKDoubleTickRate=true
//        bDoSafetime=true
        KFriction=0.1300000
        KRestitution=0.8000000
        KImpactThreshold=0.000000
    End Object
KParams=KarmaParamsRBFull'KarmaParamsRBFull1'
}
