class MSBEmitter extends Emitter;

var StaticMesh myStaticMesh;
var ParticleEmitter P;
var Texture myTexture;

event PostBeginPlay()
{
super.PostBeginPlay();
MeshEmitter(Emitters[0]).StaticMesh=myStaticMesh;
SpriteEmitter(Emitters[1]).Texture=myTexture;
//Emitters[0].SpawnParticle(5000);
P=Emitters[1];
}

event Trigger(Actor Other, Pawn Eventinstigator)
{
SetTimer(0.1,false);
P.SpawnParticle(100);
}

event Timer()
{
local int i,j;

Log("distributing...");
for(i=0;i<10;i++)
 for(j=0;j<10;j++)
  {
  P.Particles[i].Location.X=i*8;
  P.Particles[i].Location.Y=j*8;
  }
}


defaultproperties
{
    Begin Object Class=MeshEmitter Name=MeshEmitter0
        MaxParticles=2048
        LifeTimeRange=(Min=100000000000,Max=100000000000)
        ParticlesPerSecond=0
        InitialParticlesPerSecond=0
        CoordinateSystem=PTCS_Relative
       	StartSizeRange=(X=(Min=0.1,Max=0.1),Y=(Min=0.1,Max=0.1),Z=(Min=0.1,Max=0.1))
       	UseParticleColor=true
       	UniformSize=false
       	AcceptsProjectors=true
    End Object

    Begin Object Class=SpriteEmitter Name=SpriteEmitter0
        MaxParticles=4096
        LifeTimeRange=(Min=100000000000,Max=100000000000)
        ParticlesPerSecond=0
        InitialParticlesPerSecond=0
        CoordinateSystem=PTCS_Relative
       	StartSizeRange=(X=(Min=0.1,Max=0.1),Y=(Min=0.1,Max=0.1),Z=(Min=1,Max=1))
        UniformSize=false
        UseSizeScale=false
        DrawStyle=PTDS_AlphaBlend
        AcceptsProjectors=true
        UseDirectionAs=PTDU_None
        ProjectionNormal=(X=0,Y=0,Z=1)
    End Object

Emitters(0)=MeshEmitter'MSBEmitter.MeshEmitter0'
Emitters(1)=SpriteEmitter'MSBEmitter.SpriteEmitter0'


bNoDelete=false
bStatic=false
myTexture=Texture'MoviesandboxTextures.roundbrush'
//myTexture=Texture'MoviesandboxTextures.pencil_dark_A01'

myStaticMesh=StaticMesh'MoviesandboxMeshes.helperMeshes.CubeWhiteSided'

UseParticleProjectors=true
}
