//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBVoxelEdFullLoadButton extends MSBPropertyButtonComplex;


var MSBVoxelEdController CC;
var string loadName;

event PostBeginPlay()
{
super.PostBeginPlay();
CC=MSBVoxelEdController(M);
Parent=self;
}

function createButtons()
{
local int i;
for (i=0;i<M.saveCharacters.length;i++)
  {
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonAssign";
  ButtonProperty[i]="loadName";
  ButtonName[i]=M.SaveCharacters[i];
  }
super.createButtons();
}

event Trigger(Actor Other, Pawn EventInstigator)
{
super.Trigger(Other, EventInstigator);
if(!Other.isA('MSBScrollBar'))
  {
  CC.myReferencePawn.content=loadName;
  CC.myReferencePawn.LoadCharacter();
  }
}


DefaultProperties
{
tooltip="Load a Full Character"
Mat=Texture'MoviesandboxTextures.icon_load'
maxListSize=12
col=(R=255,G=255,B=255)
widthRel=30
heightRel=30
listOrientation=2
}
