class MSBMenuButtonColor extends MSBListButton
config(MSBButtonConfig);

var config int numColorBtns;
var config array<color> lastColors;

function PostBeginPlay()
{
local int i;

for (i=0;i<numColorBtns;i++)
  ButtonList[i]="MSBVoxelCharacterEditor.MSBColorSelectButton";
super.PostBeginPlay();
}

//update Color information
function Render(Canvas C)
{
local int i;
super.Render(C);

for (i=0;i<numColorBtns;i++)
  if (i<ListButton.length && ListButton[i]!=None)
    lastColors[i]=ListButton[i].col;
}

function LeftBtn(Canvas C)
{
local int i;

super.LeftBtn(C);

for (i=0;i<numColorBtns;i++)
  if (i<lastColors.length)
    ListButton[i].col=lastColors[i];
}

function deSelect()
{
saveconfig();
super.deSelect();
}


DefaultProperties
{
tooltip="Color Menu"
bMainMenu=true
Mat=Material'Moviesandboxtextures.pickColor'

xPos=0
yPos=64

numColorBtns=3;
}

