//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBSaveDrawingButton extends MSBPropertyButtonComplex;

var string saveName;

function createButtons()                      //spawns subButtons
{
local int i;

for (i=0;i<M.SaveDrawings.length+1;i++)
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonText";

super.createButtons();

for (i=0;i<ListButton.length;i++)
  {
    MSBPropertyButton(ListButton[i]).Property="saveName";
    MSBPropertyButton(ListButton[i]).Parent=self;
    MSBPropertyButton(ListButton[i]).BtnName="createNew";
    if (liststart+i<ButtonList.length-1)
      MSBPropertyButton(ListButton[i]).BtnName=M.SaveDrawings[liststart+i];
  }
}

event Trigger(Actor Other, Pawn EventInstigator)
{
local MSBBlockCloud cloud;
local MSBMasterBlock Master;
local int i,block;
local color myColor;

if(!Other.IsA('MSBScrollBar'))
  {
cloud=Level.Game.CreateDataObject(class'MSBBlockCloud',saveName,"MSBDrawing_"$saveName);
Master=MSBPenWidget(Parent).DrawBrush.Master;

for (block=0;block<Master.E.P.activeParticles;block++)
  {
  cloud.BlockRelLocation[block]=Master.E.P.Particles[block].Location;
    //color
  myColor.R=Master.E.P.Particles[block].ColorMultiplier.X*255;
  myColor.G=Master.E.P.Particles[block].ColorMultiplier.Y*255;
  myColor.B=Master.E.P.Particles[block].ColorMultiplier.Z*255;
  cloud.Col[block]=myColor;
    //size
  cloud.drawScale[block]=Master.E.P.Particles[block].StartSize.X;
  }


Level.Game.SavePackage("MSBDrawing_"$saveName);
//update SaveParts List
for (i=0;i<ListButton.Length;i++)
  if (Other==ListButton[i] && i< ListButton.Length)
    M.SaveDrawings[i]=saveName;

M.SaveGeneralConfig();
Mouse.deSelectAll();
  }
}

DefaultProperties
{
Mat=Material'Moviesandboxtextures.icon_save'
col=(R=255,G=255,B=255)
widthRel=48
heightRel=48
listOrientation=2
maxListSize=20
}
